<?php
class Config_variables {

  private $db;

  public function __construct() {
    $this->db = new Db_layer();
  }

  public function get($row) {
    $sql=$this->db->query("SELECT value FROM kboard_variables WHERE variable='$row'");
    $sql=$this->db->fetch_array($sql);
    ${$row}=str_replace("&", "&amp;", ${$row}=$sql["value"]);
    ${$row}=str_replace("&amp;copy;", "&copy;", ${$row}=$sql["value"]);
    ${$row}=str_replace("&amp;amp;", "&amp;", ${$row}=$sql["value"]);
    ${$row}=$this->db->unescape(${$row}=$sql["value"]);
    return ${$row};
  }

}
?>